import { installPackage } from '@antfu/install-pkg';
import { uniq } from 'lodash-es';

import { envs, getProjectDependencies } from './environment';

const deps = getProjectDependencies();
const packages = uniq(
  envs
    .filter(
      _ =>
        _.dependency.some(dep => deps.has(dep)) &&
        _.eslintPlugin &&
        !deps.has(_.eslintPlugin),
    )
    .map(_ => _.eslintPlugin!),
);

console.log('Installing missing ESLint plugins.\n');

void installPackage(packages, {
  silent: false,
});
