import { error } from '../constants';
import { plugin, typedPlugin, LocalRuleOptions } from '../custom/index';
import { defineConfig } from '../types';

export default defineConfig([
  {
    name: 'eslint-rules/aet',
    plugins: { aet: plugin },
    rules: {
      'aet/no-import-dot': error,
      'aet/no-useless-import-alias': error,
      'aet/require-import-attribute': error,
    } satisfies Partial<LocalRuleOptions>,
  },
  {
    name: 'eslint-rules/typed-aet',
    plugins: { 'typed-aet': typedPlugin },
    files: ['**/*.ts'],
    ignores: ['**/*.d.ts'],
    rules: {
      'typed-aet/restrict-template-expressions': error,
    } satisfies Partial<LocalRuleOptions>,
  },
]);
